DEFINE !pathtmp()'c:\temp\'!ENDDEFINE.

DATA LIST LIST /id var1.
BEGIN DATA
1 1 
2 1
3 2
END DATA.
SAVE OUTFILE=!pathtmp + 'data tmp.sav'.

*/////////////////////////////.
DEFINE !RunIF (crit=!ENCLOSE( '(' , ')' ) /synname=!ENCLOSE( '(' , ')' )  /filenam=!TOKENS(1) )

/* Run syntax !synname on file !filenam but ONLY IF at least one case meets the criteria !crit  */

GET FILE = !pathtmp + !filenam  .
COMPUTE flag= !crit .
COMPUTE nobreak=1 .
AGGREGATE OUTFILE=*
	/PRESORTED
	/BREAK=nobreak
	/test=SUM(flag) .

STRING txt(A30) .
COMPUTE txt=CONCAT('"' , !QUOTE(!synname) , '"' ) .
DO IF test>0 .	
WRITE OUTFILE=!pathtmp + 'next step.sps' 
	/'INCLUDE !pathtmp + ' txt '.' .
ELSE .
WRITE OUTFILE=!pathtmp + 'next step.sps' 
	/"*** Nothing to do." .
END IF .
EXECUTE .

GET FILE=!pathtmp + !filenam . 
INCLUDE !pathtmp + 'next step.sps' .
COMPUTE #dummy=0 .

!ENDDEFINE .
*/////////////////////////////.

SET MPRINT=yes.

* This macro call does not run the syntax 'this syntax.sps'.
!RunIF crit=(ANY(var1,3,4)) 
	synname=(this syntax.sps) 
	filenam='data tmp.sav' .

* This macro call does run the syntax 'this syntax.sps'.
!RunIF crit=(ANY(var1,1,4)) 
	synname=(this syntax.sps) 
	filenam='data tmp.sav' .
